Subject: [ntpwg] [Editorial Errata Reported] RFC5905 (3132)

From: RFC Errata System <[email-masked]>
Date: Tue, 21 Feb 2012 18:39:38 -0800 (PST)

The following errata report has been submitted for RFC5905,
"Network Time Protocol Version 4: Protocol and Algorithms Specification".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5905&eid=3132

--------------------------------------
Type: Editorial
Reported by: Richard Walters <[email-masked]>

Section: 11.2.1

Original Text
-------------
   First, those servers that are unusable according to the rules of the

   protocol are detected and discarded as shown by the accept() routine

   in Appendix A.5.5.3.

Corrected Text
--------------
   First, those servers that are unusable according to the rules of the

   protocol are detected and discarded as shown by the fit() routine

   in Appendix A.5.2.

Notes
-----
The fit() and accept() routines are identical.  Since accept() is not called from, nor mentioned anywhere else, whereas fit() is called from two places and listed in the function prototypes, just drop accept() and use fit() instead in section 11.2.1.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5905 (draft-ietf-ntp-ntpv4-proto-13)
--------------------------------------
Title               : Network Time Protocol Version 4: Protocol and Algorithms Specification
Publication Date    : June 2010
Author(s)           : D. Mills, J. Martin, Ed., J. Burbank, W. Kasch
Category            : PROPOSED STANDARD
Source              : Network Time Protocol
Area                : Internet
Stream              : IETF
Verifying Party     : IESG
_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg